Ssocialgraph.dev
API reference / YouTube / Internationalization languages list

Internationalization languages list

Read-only YouTube Data API v3 i18nLanguages list endpoint.

1 credit per successful call Errors are never charged

Request

GET https://socialgraph.dev/api/v1/youtube/i18nLanguages

Send your API key as Authorization: Bearer YOUR_API_KEY. Parameters go in the query string.

Parameters

NameTypeDescription
part
required
string Required. Use snippet.
hl
optional
string Language for the language names. For example: es

Code examples


Example response

{
    "etag": "BWfamz4EkEUnBLn4e5RPGocAZbo",
    "kind": "youtube#i18nLanguageListResponse",
    "items": [
        {
            "id": "af",
            "etag": "1OjwIvsEf9UstcR8l9SVbvsK8Qw",
            "kind": "youtube#i18nLanguage",
            "snippet": {
                "hl": "af",
                "name": "Afrikaans"
            }
        },
        {
            "id": "am",
            "etag": "ptN1RQzFShVdKYWSazyl6Givu1Q",
            "kind": "youtube#i18nLanguage",
            "snippet": {
                "hl": "am",
                "name": "Amharic"
            }
        },
        {
            "id": "ar",
            "etag": "GOvkz2ITW6w0y-0cigEa0BiHOac",
            "kind": "youtube#i18nLanguage",
            "snippet": {
                "hl": "ar",
                "name": "Arabic"
            }
        },
        {
            "id": "as",
            "etag": "qq6RBDRnnlL26sMbNlNgGRzeHUA",
            "kind": "youtube#i18nLanguage",
            "snippet": {
                "hl": "as",
                "name": "Assamese"
            }
        },
        {
            "id": "az",
            "etag": "uDg13IUyl-wwViQm18NMTW_ce0A",
            "kind": "youtube#i18nLanguage",
            "snippet": {
                "hl": "az",
                "name": "Azerbaijani"
            }
        }
    ]
}

Errors

StatusMeaningCharged?
401Missing, invalid or revoked API keyNo
402Not enough credits (insufficient_credits)No
404The account or post doesn't existNo
422Missing or invalid parametersNo
502 / 503The data source is temporarily unavailableNo

All error codes →

Try it live: Internationalization languages list GET

🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.

Start with 100 free credits

Create an account in seconds. No card, no subscription. Credits never expire.

Create free account →